Bug#882513: gsequencer: autopkgtest is broken

classic Classic list List threaded Threaded
6 messages Options
Reply | Threaded
Open this post in threaded view
|

Bug#882513: gsequencer: autopkgtest is broken

Dimitri John Ledkov-2
Package: gsequencer
Version: 1.1.4-1
Severity: normal

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Dear Maintainer,

The autopkgtest included in gsequencer appears to not work at all
anymore.

It calls into debian/rules targets that do not exist anymore. I've
tried fixing it up, by making the test depend on '@builddeps@` or
using 'build-needed' restriction and modifying the test script
appropriately only to see that `make ags-integration-test` fails.

Could you please fix up integration test? Or remove it, as it cannot
be executed anymore?

Regards,

Dimitri.

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2

iQEcBAEBCAAGBQJaFvDxAAoJEMrC2LnNLKX5is0IAIvh3irtF/gIk1rUVHo/yiqG
3o95sZobiNDufyayagCtEpNwhRG+lB1weeQADqUfLu7j3a3CiHra3a9ZZkNEIvBL
OOs1tQj1wc9vy0SjQ37jwUbJ3NCjYLcr6WL5iwq4rnSfY/mBZsbGKEMoj6Hb3Kv/
FZosTJtido/zOdyB+Xv1lwWnd0109l44Pz0MiY8oUlRqax/OX+jvfM+lkGFSRqDW
tlRhFkMhpsRTTI6U/l1ajL5htmY6/gSgkZe6KkIyda+Uxbn+wY7mGLVHZCtGDw7c
6sAxfDSR2RaBOFFhpFkHDlfcloiJ2yUDZgn43xQv+cqzYBWChGtDZceZ0O/juXo=
=zzou
-----END PGP SIGNATURE-----

Reply | Threaded
Open this post in threaded view
|

Bug#882513: gsequencer: autopkgtest is broken

Joël Krähemann-2
Hi Dimitri,
The make target ags-integration-test runs against installed libraries. Just run
`make check` which contains the very same functional tests. But this requires
to remove the following patch:

debian/patches/disable-functional-tests.patch

`make ags-integration-test` is only useful to run against installed gsequencer
package. Further libgsequencer.so can't be a private library if you want to run
them. So additional patch would be required to change library installation path.

Best regards,
Joël Krähemann


On Thu, Nov 23, 2017 at 5:01 PM, Dimitri John Ledkov <[hidden email]> wrote:

> Package: gsequencer
> Version: 1.1.4-1
> Severity: normal
>
> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA256
>
> Dear Maintainer,
>
> The autopkgtest included in gsequencer appears to not work at all
> anymore.
>
> It calls into debian/rules targets that do not exist anymore. I've
> tried fixing it up, by making the test depend on '@builddeps@` or
> using 'build-needed' restriction and modifying the test script
> appropriately only to see that `make ags-integration-test` fails.
>
> Could you please fix up integration test? Or remove it, as it cannot
> be executed anymore?
>
> Regards,
>
> Dimitri.
>
> -----BEGIN PGP SIGNATURE-----
> Version: GnuPG v2
>
> iQEcBAEBCAAGBQJaFvDxAAoJEMrC2LnNLKX5is0IAIvh3irtF/gIk1rUVHo/yiqG
> 3o95sZobiNDufyayagCtEpNwhRG+lB1weeQADqUfLu7j3a3CiHra3a9ZZkNEIvBL
> OOs1tQj1wc9vy0SjQ37jwUbJ3NCjYLcr6WL5iwq4rnSfY/mBZsbGKEMoj6Hb3Kv/
> FZosTJtido/zOdyB+Xv1lwWnd0109l44Pz0MiY8oUlRqax/OX+jvfM+lkGFSRqDW
> tlRhFkMhpsRTTI6U/l1ajL5htmY6/gSgkZe6KkIyda+Uxbn+wY7mGLVHZCtGDw7c
> 6sAxfDSR2RaBOFFhpFkHDlfcloiJ2yUDZgn43xQv+cqzYBWChGtDZceZ0O/juXo=
> =zzou
> -----END PGP SIGNATURE-----
>

Reply | Threaded
Open this post in threaded view
|

Bug#882513: gsequencer: autopkgtest is broken

Joël Krähemann-2
Hi,
Just providing a patch. The target ags-integration-test wasn't take care
much.

Apply the patch fix-integration-tests.patch
`patch -p1 < ../nongnu/gsequencer/fix-integration-tests.patch`
run `autoreconf -fi && ./configure`
then `make -j20 && make ags-integration-test`

Bests,
Joël


On Fri, Nov 24, 2017 at 9:26 AM, Joël Krähemann <[hidden email]> wrote:

> Hi Dimitri,
> The make target ags-integration-test runs against installed libraries. Just run
> `make check` which contains the very same functional tests. But this requires
> to remove the following patch:
>
> debian/patches/disable-functional-tests.patch
>
> `make ags-integration-test` is only useful to run against installed gsequencer
> package. Further libgsequencer.so can't be a private library if you want to run
> them. So additional patch would be required to change library installation path.
>
> Best regards,
> Joël Krähemann
>
>
> On Thu, Nov 23, 2017 at 5:01 PM, Dimitri John Ledkov <[hidden email]> wrote:
>> Package: gsequencer
>> Version: 1.1.4-1
>> Severity: normal
>>
>> -----BEGIN PGP SIGNED MESSAGE-----
>> Hash: SHA256
>>
>> Dear Maintainer,
>>
>> The autopkgtest included in gsequencer appears to not work at all
>> anymore.
>>
>> It calls into debian/rules targets that do not exist anymore. I've
>> tried fixing it up, by making the test depend on '@builddeps@` or
>> using 'build-needed' restriction and modifying the test script
>> appropriately only to see that `make ags-integration-test` fails.
>>
>> Could you please fix up integration test? Or remove it, as it cannot
>> be executed anymore?
>>
>> Regards,
>>
>> Dimitri.
>>
>> -----BEGIN PGP SIGNATURE-----
>> Version: GnuPG v2
>>
>> iQEcBAEBCAAGBQJaFvDxAAoJEMrC2LnNLKX5is0IAIvh3irtF/gIk1rUVHo/yiqG
>> 3o95sZobiNDufyayagCtEpNwhRG+lB1weeQADqUfLu7j3a3CiHra3a9ZZkNEIvBL
>> OOs1tQj1wc9vy0SjQ37jwUbJ3NCjYLcr6WL5iwq4rnSfY/mBZsbGKEMoj6Hb3Kv/
>> FZosTJtido/zOdyB+Xv1lwWnd0109l44Pz0MiY8oUlRqax/OX+jvfM+lkGFSRqDW
>> tlRhFkMhpsRTTI6U/l1ajL5htmY6/gSgkZe6KkIyda+Uxbn+wY7mGLVHZCtGDw7c
>> 6sAxfDSR2RaBOFFhpFkHDlfcloiJ2yUDZgn43xQv+cqzYBWChGtDZceZ0O/juXo=
>> =zzou
>> -----END PGP SIGNATURE-----
>>

fix-integration-tests.patch (14K) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Bug#882513: gsequencer: autopkgtest is broken

Joël Krähemann-2
Hi,
Since I (upstream) doesn't have the infrastructure to run integration
tests configure.ac remains the same. But the fixes to the file
functional-system-tests.mk.am just applied upstream.

http://git.savannah.nongnu.org/cgit/gsequencer.git/commit/?h=1.2.x

Bests,
Joël



On Fri, Nov 24, 2017 at 10:50 AM, Joël Krähemann <[hidden email]> wrote:

> Hi,
> Just providing a patch. The target ags-integration-test wasn't take care
> much.
>
> Apply the patch fix-integration-tests.patch
> `patch -p1 < ../nongnu/gsequencer/fix-integration-tests.patch`
> run `autoreconf -fi && ./configure`
> then `make -j20 && make ags-integration-test`
>
> Bests,
> Joël
>
>
> On Fri, Nov 24, 2017 at 9:26 AM, Joël Krähemann <[hidden email]> wrote:
>> Hi Dimitri,
>> The make target ags-integration-test runs against installed libraries. Just run
>> `make check` which contains the very same functional tests. But this requires
>> to remove the following patch:
>>
>> debian/patches/disable-functional-tests.patch
>>
>> `make ags-integration-test` is only useful to run against installed gsequencer
>> package. Further libgsequencer.so can't be a private library if you want to run
>> them. So additional patch would be required to change library installation path.
>>
>> Best regards,
>> Joël Krähemann
>>
>>
>> On Thu, Nov 23, 2017 at 5:01 PM, Dimitri John Ledkov <[hidden email]> wrote:
>>> Package: gsequencer
>>> Version: 1.1.4-1
>>> Severity: normal
>>>
>>> -----BEGIN PGP SIGNED MESSAGE-----
>>> Hash: SHA256
>>>
>>> Dear Maintainer,
>>>
>>> The autopkgtest included in gsequencer appears to not work at all
>>> anymore.
>>>
>>> It calls into debian/rules targets that do not exist anymore. I've
>>> tried fixing it up, by making the test depend on '@builddeps@` or
>>> using 'build-needed' restriction and modifying the test script
>>> appropriately only to see that `make ags-integration-test` fails.
>>>
>>> Could you please fix up integration test? Or remove it, as it cannot
>>> be executed anymore?
>>>
>>> Regards,
>>>
>>> Dimitri.
>>>
>>> -----BEGIN PGP SIGNATURE-----
>>> Version: GnuPG v2
>>>
>>> iQEcBAEBCAAGBQJaFvDxAAoJEMrC2LnNLKX5is0IAIvh3irtF/gIk1rUVHo/yiqG
>>> 3o95sZobiNDufyayagCtEpNwhRG+lB1weeQADqUfLu7j3a3CiHra3a9ZZkNEIvBL
>>> OOs1tQj1wc9vy0SjQ37jwUbJ3NCjYLcr6WL5iwq4rnSfY/mBZsbGKEMoj6Hb3Kv/
>>> FZosTJtido/zOdyB+Xv1lwWnd0109l44Pz0MiY8oUlRqax/OX+jvfM+lkGFSRqDW
>>> tlRhFkMhpsRTTI6U/l1ajL5htmY6/gSgkZe6KkIyda+Uxbn+wY7mGLVHZCtGDw7c
>>> 6sAxfDSR2RaBOFFhpFkHDlfcloiJ2yUDZgn43xQv+cqzYBWChGtDZceZ0O/juXo=
>>> =zzou
>>> -----END PGP SIGNATURE-----
>>>

Reply | Threaded
Open this post in threaded view
|

Bug#882513: gsequencer: autopkgtest is broken

Joël Krähemann-2
Hi,
Just provided a new upstream package v1.1.5 and made debian
repository fit for autopkgtest.

Best regards,
Joël


On Fri, Nov 24, 2017 at 10:55 AM, Joël Krähemann <[hidden email]> wrote:

> Hi,
> Since I (upstream) doesn't have the infrastructure to run integration
> tests configure.ac remains the same. But the fixes to the file
> functional-system-tests.mk.am just applied upstream.
>
> http://git.savannah.nongnu.org/cgit/gsequencer.git/commit/?h=1.2.x
>
> Bests,
> Joël
>
>
>
> On Fri, Nov 24, 2017 at 10:50 AM, Joël Krähemann <[hidden email]> wrote:
>> Hi,
>> Just providing a patch. The target ags-integration-test wasn't take care
>> much.
>>
>> Apply the patch fix-integration-tests.patch
>> `patch -p1 < ../nongnu/gsequencer/fix-integration-tests.patch`
>> run `autoreconf -fi && ./configure`
>> then `make -j20 && make ags-integration-test`
>>
>> Bests,
>> Joël
>>
>>
>> On Fri, Nov 24, 2017 at 9:26 AM, Joël Krähemann <[hidden email]> wrote:
>>> Hi Dimitri,
>>> The make target ags-integration-test runs against installed libraries. Just run
>>> `make check` which contains the very same functional tests. But this requires
>>> to remove the following patch:
>>>
>>> debian/patches/disable-functional-tests.patch
>>>
>>> `make ags-integration-test` is only useful to run against installed gsequencer
>>> package. Further libgsequencer.so can't be a private library if you want to run
>>> them. So additional patch would be required to change library installation path.
>>>
>>> Best regards,
>>> Joël Krähemann
>>>
>>>
>>> On Thu, Nov 23, 2017 at 5:01 PM, Dimitri John Ledkov <[hidden email]> wrote:
>>>> Package: gsequencer
>>>> Version: 1.1.4-1
>>>> Severity: normal
>>>>
>>>> -----BEGIN PGP SIGNED MESSAGE-----
>>>> Hash: SHA256
>>>>
>>>> Dear Maintainer,
>>>>
>>>> The autopkgtest included in gsequencer appears to not work at all
>>>> anymore.
>>>>
>>>> It calls into debian/rules targets that do not exist anymore. I've
>>>> tried fixing it up, by making the test depend on '@builddeps@` or
>>>> using 'build-needed' restriction and modifying the test script
>>>> appropriately only to see that `make ags-integration-test` fails.
>>>>
>>>> Could you please fix up integration test? Or remove it, as it cannot
>>>> be executed anymore?
>>>>
>>>> Regards,
>>>>
>>>> Dimitri.
>>>>
>>>> -----BEGIN PGP SIGNATURE-----
>>>> Version: GnuPG v2
>>>>
>>>> iQEcBAEBCAAGBQJaFvDxAAoJEMrC2LnNLKX5is0IAIvh3irtF/gIk1rUVHo/yiqG
>>>> 3o95sZobiNDufyayagCtEpNwhRG+lB1weeQADqUfLu7j3a3CiHra3a9ZZkNEIvBL
>>>> OOs1tQj1wc9vy0SjQ37jwUbJ3NCjYLcr6WL5iwq4rnSfY/mBZsbGKEMoj6Hb3Kv/
>>>> FZosTJtido/zOdyB+Xv1lwWnd0109l44Pz0MiY8oUlRqax/OX+jvfM+lkGFSRqDW
>>>> tlRhFkMhpsRTTI6U/l1ajL5htmY6/gSgkZe6KkIyda+Uxbn+wY7mGLVHZCtGDw7c
>>>> 6sAxfDSR2RaBOFFhpFkHDlfcloiJ2yUDZgn43xQv+cqzYBWChGtDZceZ0O/juXo=
>>>> =zzou
>>>> -----END PGP SIGNATURE-----
>>>>

Reply | Threaded
Open this post in threaded view
|

Bug#882513: gsequencer: autopkgtest is broken

Joël Krähemann-2
Hi,
My sponsor created a new package. It should be fixed now.
https://tracker.debian.org/news/893466

Bests,
Joël

On Sat, Nov 25, 2017 at 8:35 AM, Joël Krähemann <[hidden email]> wrote:

> Hi,
> Just provided a new upstream package v1.1.5 and made debian
> repository fit for autopkgtest.
>
> Best regards,
> Joël
>
>
> On Fri, Nov 24, 2017 at 10:55 AM, Joël Krähemann <[hidden email]> wrote:
>> Hi,
>> Since I (upstream) doesn't have the infrastructure to run integration
>> tests configure.ac remains the same. But the fixes to the file
>> functional-system-tests.mk.am just applied upstream.
>>
>> http://git.savannah.nongnu.org/cgit/gsequencer.git/commit/?h=1.2.x
>>
>> Bests,
>> Joël
>>
>>
>>
>> On Fri, Nov 24, 2017 at 10:50 AM, Joël Krähemann <[hidden email]> wrote:
>>> Hi,
>>> Just providing a patch. The target ags-integration-test wasn't take care
>>> much.
>>>
>>> Apply the patch fix-integration-tests.patch
>>> `patch -p1 < ../nongnu/gsequencer/fix-integration-tests.patch`
>>> run `autoreconf -fi && ./configure`
>>> then `make -j20 && make ags-integration-test`
>>>
>>> Bests,
>>> Joël
>>>
>>>
>>> On Fri, Nov 24, 2017 at 9:26 AM, Joël Krähemann <[hidden email]> wrote:
>>>> Hi Dimitri,
>>>> The make target ags-integration-test runs against installed libraries. Just run
>>>> `make check` which contains the very same functional tests. But this requires
>>>> to remove the following patch:
>>>>
>>>> debian/patches/disable-functional-tests.patch
>>>>
>>>> `make ags-integration-test` is only useful to run against installed gsequencer
>>>> package. Further libgsequencer.so can't be a private library if you want to run
>>>> them. So additional patch would be required to change library installation path.
>>>>
>>>> Best regards,
>>>> Joël Krähemann
>>>>
>>>>
>>>> On Thu, Nov 23, 2017 at 5:01 PM, Dimitri John Ledkov <[hidden email]> wrote:
>>>>> Package: gsequencer
>>>>> Version: 1.1.4-1
>>>>> Severity: normal
>>>>>
>>>>> -----BEGIN PGP SIGNED MESSAGE-----
>>>>> Hash: SHA256
>>>>>
>>>>> Dear Maintainer,
>>>>>
>>>>> The autopkgtest included in gsequencer appears to not work at all
>>>>> anymore.
>>>>>
>>>>> It calls into debian/rules targets that do not exist anymore. I've
>>>>> tried fixing it up, by making the test depend on '@builddeps@` or
>>>>> using 'build-needed' restriction and modifying the test script
>>>>> appropriately only to see that `make ags-integration-test` fails.
>>>>>
>>>>> Could you please fix up integration test? Or remove it, as it cannot
>>>>> be executed anymore?
>>>>>
>>>>> Regards,
>>>>>
>>>>> Dimitri.
>>>>>
>>>>> -----BEGIN PGP SIGNATURE-----
>>>>> Version: GnuPG v2
>>>>>
>>>>> iQEcBAEBCAAGBQJaFvDxAAoJEMrC2LnNLKX5is0IAIvh3irtF/gIk1rUVHo/yiqG
>>>>> 3o95sZobiNDufyayagCtEpNwhRG+lB1weeQADqUfLu7j3a3CiHra3a9ZZkNEIvBL
>>>>> OOs1tQj1wc9vy0SjQ37jwUbJ3NCjYLcr6WL5iwq4rnSfY/mBZsbGKEMoj6Hb3Kv/
>>>>> FZosTJtido/zOdyB+Xv1lwWnd0109l44Pz0MiY8oUlRqax/OX+jvfM+lkGFSRqDW
>>>>> tlRhFkMhpsRTTI6U/l1ajL5htmY6/gSgkZe6KkIyda+Uxbn+wY7mGLVHZCtGDw7c
>>>>> 6sAxfDSR2RaBOFFhpFkHDlfcloiJ2yUDZgn43xQv+cqzYBWChGtDZceZ0O/juXo=
>>>>> =zzou
>>>>> -----END PGP SIGNATURE-----
>>>>>